The BOOST_PP_TUPLE_PUSH_FRONT macro appends an element to the beginning of a tuple.

#### Usage

BOOST_PP_TUPLE_PUSH_FRONT(tuple, elem) (v)

#### Arguments

tuple
  The tuple to append an element to.
elem
  The element to append.

#### Requirements

Header: <boost/preprocessor/tuple/push_front.hpp>

#### Sample Code

    #include <boost/preprocessor/tuple/push_front.hpp>

    #define TUPLE (b, c, d)

    BOOST_PP_TUPLE_PUSH_FRONT(TUPLE, a) // expands to (a, b, c, d)

© Copyright Edward Diener 2013

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at www.boost.org/LICENSE_1_0.txt)